# All files / csv2json/libs/core fileLineToCSVLine.js

0% Statements 0/5
100% Branches 0/0
0% Functions 0/1
0% Lines 0/5

Press n or j to go to the next uncovered block, b, p or k for the previous block.

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16

     var csvline=require("./csvline");
    /**
     * Convert data chunk to csv lines with cols
     * @param  {[type]} data   [description]
     * @param  {[type]} params [description]
     * @return {[type]}    {lines:[[col1,col2,col3]],partial:String}
     */
    module.exports = function(fileLine, params) {
      var lines = fileLine.lines;
      var csvLines = csvline(lines,params);
      return {
        lines: csvLines.lines,
        partial: csvLines.partial + fileLine.partial
      };
    };